Package com.ocient.jdbc.proto

# Class PlanProtocol.UnmakeVectorOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.UnmakeVectorOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.UnmakeVectorOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.UnmakeVectorOperator

    public static final class PlanProtocol.UnmakeVectorOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>
    implements PlanProtocol.UnmakeVectorOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.UnmakeVectorOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.UnmakeVectorOperator.Builder` | `addAllOutNames​(Iterable<String> values)` | The names of the columns to create
`PlanProtocol.UnmakeVectorOperator.Builder` | `addOutNames​(String value)` | The names of the columns to create
`PlanProtocol.UnmakeVectorOperator.Builder` | `addOutNamesBytes​(com.google.protobuf.ByteString value)` | The names of the columns to create
`PlanProtocol.UnmakeVectorOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.UnmakeVectorOperator` | `build()` |
`PlanProtocol.UnmakeVectorOperator` | `buildPartial()` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `clear()` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `clearOutNames()` | The names of the columns to create
`PlanProtocol.UnmakeVectorOperator.Builder` | `clearVectorCol()` | The name of the vector column to unpack
`PlanProtocol.UnmakeVectorOperator.Builder` | `clone()` |
`PlanProtocol.UnmakeVectorOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`String` | `getOutNames​(int index)` | The names of the columns to create
`com.google.protobuf.ByteString` | `getOutNamesBytes​(int index)` | The names of the columns to create
`int` | `getOutNamesCount()` | The names of the columns to create
`com.google.protobuf.ProtocolStringList` | `getOutNamesList()` | The names of the columns to create
`String` | `getVectorCol()` | The name of the vector column to unpack
`com.google.protobuf.ByteString` | `getVectorColBytes()` | The name of the vector column to unpack
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `mergeFrom​(PlanProtocol.UnmakeVectorOperator other)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `setOutNames​(int index, String value)` | The names of the columns to create
`PlanProtocol.UnmakeVectorOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.UnmakeVectorOperator.Builder` | `setVectorCol​(String value)` | The name of the vector column to unpack
`PlanProtocol.UnmakeVectorOperator.Builder` | `setVectorColBytes​(com.google.protobuf.ByteString value)` | The name of the vector column to unpack

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### clear

public PlanProtocol.UnmakeVectorOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.UnmakeVectorOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.UnmakeVectorOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.UnmakeVectorOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.UnmakeVectorOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### setField

public PlanProtocol.UnmakeVectorOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### clearField

public PlanProtocol.UnmakeVectorOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### clearOneof

public PlanProtocol.UnmakeVectorOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### setRepeatedField

public PlanProtocol.UnmakeVectorOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### addRepeatedField

public PlanProtocol.UnmakeVectorOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### mergeFrom

public PlanProtocol.UnmakeVectorOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### mergeFrom

public PlanProtocol.UnmakeVectorOperator.Builder mergeFrom​(PlanProtocol.UnmakeVectorOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### mergeFrom

public PlanProtocol.UnmakeVectorOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`
Throws:
  `IOException`

### getVectorCol

public String getVectorCol()

    The name of the vector column to unpack

`string vectorCol = 1;`

Specified by:
  `getVectorCol` in interface `PlanProtocol.UnmakeVectorOperatorOrBuilder`

### getVectorColBytes

public com.google.protobuf.ByteString getVectorColBytes()

    The name of the vector column to unpack

`string vectorCol = 1;`

Specified by:
  `getVectorColBytes` in interface `PlanProtocol.UnmakeVectorOperatorOrBuilder`

### setVectorCol

public PlanProtocol.UnmakeVectorOperator.Builder setVectorCol​(String value)

    The name of the vector column to unpack

`string vectorCol = 1;`

### clearVectorCol

public PlanProtocol.UnmakeVectorOperator.Builder clearVectorCol()

    The name of the vector column to unpack

`string vectorCol = 1;`

### setVectorColBytes

public PlanProtocol.UnmakeVectorOperator.Builder setVectorColBytes​(com.google.protobuf.ByteString value)

    The name of the vector column to unpack

`string vectorCol = 1;`

### getOutNamesList

public com.google.protobuf.ProtocolStringList getOutNamesList()

    The names of the columns to create

`repeated string outNames = 2;`

Specified by:
  `getOutNamesList` in interface `PlanProtocol.UnmakeVectorOperatorOrBuilder`

### getOutNamesCount

public int getOutNamesCount()

    The names of the columns to create

`repeated string outNames = 2;`

Specified by:
  `getOutNamesCount` in interface `PlanProtocol.UnmakeVectorOperatorOrBuilder`

### getOutNames

public String getOutNames​(int index)

    The names of the columns to create

`repeated string outNames = 2;`

Specified by:
  `getOutNames` in interface `PlanProtocol.UnmakeVectorOperatorOrBuilder`

### getOutNamesBytes

public com.google.protobuf.ByteString getOutNamesBytes​(int index)

    The names of the columns to create

`repeated string outNames = 2;`

Specified by:
  `getOutNamesBytes` in interface `PlanProtocol.UnmakeVectorOperatorOrBuilder`

### setOutNames

public PlanProtocol.UnmakeVectorOperator.Builder setOutNames​(int index, String value)

    The names of the columns to create

`repeated string outNames = 2;`

### addOutNames

public PlanProtocol.UnmakeVectorOperator.Builder addOutNames​(String value)

    The names of the columns to create

`repeated string outNames = 2;`

### addAllOutNames

public PlanProtocol.UnmakeVectorOperator.Builder addAllOutNames​(Iterable<String> values)

    The names of the columns to create

`repeated string outNames = 2;`

### clearOutNames

public PlanProtocol.UnmakeVectorOperator.Builder clearOutNames()

    The names of the columns to create

`repeated string outNames = 2;`

### addOutNamesBytes

public PlanProtocol.UnmakeVectorOperator.Builder addOutNamesBytes​(com.google.protobuf.ByteString value)

    The names of the columns to create

`repeated string outNames = 2;`

### setUnknownFields

public final PlanProtocol.UnmakeVectorOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.UnmakeVectorOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnmakeVectorOperator.Builder>`